package es.verdnatura.presentation.view.feature.packaging.model

import es.verdnatura.presentation.common.convertToDateString

class EntrySalix(
    var id: Number? = null,
    var dated: String? = null,
    var created: String? = null,
    var supplierFk: Number? = null,
    var travelFk: Number? = null,
    var companyFk: Number? = null,
    var isError: Boolean = false,
    var errorMessage: String = ""
)

fun List<EntrySalix>.toDateFormat(): ArrayList<EntrySalix> {
    val entries: ArrayList<EntrySalix> = ArrayList()
    this.forEach {
        entries.add(
            EntrySalix(
                dated = convertToDateString(it.dated),
                created = convertToDateString(it.created)
            )
        )

    }
    return entries.sortedBy { it.dated } as ArrayList
}

data class obervationEntry(
    val observation:String
)

data class notificationQueue(
    val notificationFk:String,
    val authorFk:Int,
    val params: String
)
